<manifest version="2.0" type="device" target-level="3">
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <fqname>@5.0::IDevicesFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <fqname>@5.0::IEffectsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBluetoothHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth.audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.camera.provider</name>
        <transport>hwbinder</transport>
        <fqname>@2.4::ICameraProvider/external/0</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.configstore</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::ISurfaceFlingerConfigs/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.dumpstate</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDumpstateDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.gatekeeper</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IGatekeeper/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.allocator</name>
        <transport>hwbinder</transport>
        <fqname>@4.0::IAllocator/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.composer</name>
        <transport>hwbinder</transport>
        <fqname>@2.4::IComposer/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.mapper</name>
        <transport arch="32+64">passthrough</transport>
        <fqname>@4.0::IMapper/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.health</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IHealth/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.keymaster</name>
        <transport>hwbinder</transport>
        <fqname>@3.0::IKeymasterDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.media.omx</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOmx/default</fqname>
        <fqname>@1.0::IOmxStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.memtrack</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMemtrack/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.power</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IPower/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tv.cec</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IHdmiCec/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tv.input</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ITvInput/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.assistant.led</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ILed/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.realtek.ginga</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IGinga/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.realtek.input</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IRtkInputService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.realtek.media</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IRtkMediaPlayerService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.realtek.rtkconfigs</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IRtkFrameworkConfigs/default</fqname>
        <fqname>@1.0::IRtkTvConfigs/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.realtek.system</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IRtkPowerManager/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.realtek.tv</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IRtkTvService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.tcl.earc</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IHdmieArc/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.tcl.input</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ITclInputService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.tcl.ipel</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IIpelEngine/default</fqname>
    </hal>
</manifest>
